#!/bin/ch
/******************** 
 * Created 08/04/07
 ********************/
#include "compensate.h"

int main() {
  int i, t_time = 100, num;
  class CPlot plot;
  chstrarray name, value;
  char *plotWhat;
  CControl sys;

  num = Request.getFormNameValue(name, value);
  createModel(&sys, num, name, value);

  /*
  rm -f /tmp/output.txt
  FILE *fp;
  fp = fopen("/tmp/output.txt", "w");
  fprintf(fp, "%d\n", num);
  for(i=0; i<num; i++) {
    fprintf(fp, "%s = %s\n", name[i], value[i]);
  }   
  fclose(fp);
  */

  Response.setContentType("image/png");
  Response.begin();

  plotWhat = read1Str("plotWhat", num, name, value);
  plot.outputType(PLOT_OUTPUTTYPE_STREAM, "png");

  sys.sgrid(0);
  sys.grid(1);

  if(strcmp(plotWhat, "rlocus") == 0){
    sys.rlocus(&plot, NULL, NULL);
  }
  else if(strcmp(plotWhat, "Step") == 0) 
  {
    array double yout[500];
    double tf = 0;
    tf = read1Value("TfValue", num, name, value);
    sys.step(&plot, yout, NULL, NULL, tf*2);
  } 

  Response.end();
  return 0;
}
